// BIXOLON_SampleProgramDlg.h : header file
//

#if !defined(AFX_BIXOLON_SAMPLEPROGRAMDLG_H__601EF74E_4FB4_42C1_8B3F_6D194C0CC930__INCLUDED_)
#define AFX_BIXOLON_SAMPLEPROGRAMDLG_H__601EF74E_4FB4_42C1_8B3F_6D194C0CC930__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CBIXOLON_SampleProgramDlg dialog

class CBIXOLON_SampleProgramDlg : public CDialog
{
// Construction
public:
	CBIXOLON_SampleProgramDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBIXOLON_SampleProgramDlg)
	enum { IDD = IDD_BIXOLON_SAMPLEPROGRAM_DIALOG };
	CComboBox	m_cmbDensity;
	CComboBox	m_cmbSpeed;
	CComboBox	m_cmbPrtList;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBIXOLON_SampleProgramDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBIXOLON_SampleProgramDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnPrtsearch();
	afx_msg void OnPrintLable();
	afx_msg void OnKillfocusEditPWidth();
	afx_msg void OnKillfocusEditPHeight();
	afx_msg void OnKillfocusEditMarginX();
	afx_msg void OnKillfocusEditMarginY();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void InitControls();
	BOOL GetInstalledPrinter();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIXOLON_SAMPLEPROGRAMDLG_H__601EF74E_4FB4_42C1_8B3F_6D194C0CC930__INCLUDED_)
